Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class CriteriaExpressionVisitor.AbstractVisitor

    java.lang.Object
      org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor.AbstractVisitor

All Implemented Interfaces:
  CriteriaExpressionVisitor

Direct Known Subclasses:
  CriteriaExpressionVisitor.ParameterVisitor

Enclosing interface:
  CriteriaExpressionVisitor

    public abstract static class CriteriaExpressionVisitor.AbstractVisitor

extends Object
implements CriteriaExpressionVisitor

An abstract implementation that can detect cycles during traversal.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor
`CriteriaExpressionVisitor.AbstractVisitor, CriteriaExpressionVisitor.ParameterVisitor, CriteriaExpressionVisitor.TraversalStyle`

Field Summary
`protected Set<CriteriaExpression>` | `_visited`

Constructor Summary
`CriteriaExpressionVisitor.AbstractVisitor()`

Method Summary
`void` | `exit(CriteriaExpression node)` Remembers the node being visited.
`CriteriaExpressionVisitor.TraversalStyle` | `getTraversalStyle(CriteriaExpression node)` Returns PREFIX as the default traversal style.
`boolean` | `isVisited(CriteriaExpression node)` Affirms if this node has been visited before.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.persistence.criteria.CriteriaExpressionVisitor
`enter`

Field Detail

### _visited

    protected final Set<CriteriaExpression> _visited

Constructor Detail

### CriteriaExpressionVisitor.AbstractVisitor

    public CriteriaExpressionVisitor.AbstractVisitor()

Method Detail

### exit

    public void exit(CriteriaExpression node)

  Remembers the node being visited.

  Specified by:
    `exit` in interface `CriteriaExpressionVisitor`

### isVisited

    public boolean isVisited(CriteriaExpression node)

  Affirms if this node has been visited before.

  Specified by:
    `isVisited` in interface `CriteriaExpressionVisitor`

### getTraversalStyle

    public CriteriaExpressionVisitor.TraversalStyle getTraversalStyle(CriteriaExpression node)

  Returns PREFIX as the default traversal style.

  Specified by:
    `getTraversalStyle` in interface `CriteriaExpressionVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.